Skip to content

버전 목록 Tier 4

GET/api/projects/:id/versionsCopied!

프로젝트의 버전 목록을 페이지네이션하여 반환합니다.

요청

Path

idstringrequired
프로젝트 ID

Query

pagenumber

1–100

페이지 번호

Default: 1

sort.typestring
정렬 기준

Possible values: namecreatedAt

Default: createdAt

sort.directionstring
정렬 방향

Possible values: ascdesc

Default: desc

응답

200 OK를 반환합니다.

dataarray
버전 목록
data[].idstring
버전 ID

Example: 8fe89e5a-1d8f-4302-8437-fb0390ecf8eb

data[].namestring
버전 이름

Example: v12

data[].descriptionstring?
버전 설명

Example: Final review cut

data[].statusstring
리뷰 상태

Example: NEED_REVIEW

data[].createdAtstring
버전 생성일

Example: 2026-04-09 18:00:00.000000

data[].updatedAtstring
버전 수정일

Example: 2026-04-10 02:00:00.000000

data[].projectobject
상위 프로젝트
data[].project.idstring
상위 프로젝트 ID

Example: bdbff5de-96d7-468f-9db0-85fe28bd6b62

pageobject
페이지네이션
page.currentnumber
현재 페이지 번호

Example: 1

page.hasNextboolean
다음 페이지 존재 여부

Example: false

예시

bash
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/versions' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": [
    {
      "id": "8fe89e5a-1d8f-4302-8437-fb0390ecf8eb",
      "name": "v12",
      "description": "Final review cut",
      "status": "NEED_REVIEW",
      "createdAt": "2026-04-09 18:00:00.000000",
      "updatedAt": "2026-04-10 02:00:00.000000",
      "project": {
        "id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62"
      }
    }
  ],
  "page": {
    "current": 1,
    "hasNext": false
  }
}

INFO

제한된 리뷰어(RestrictedReviewer)는 제한된 접근으로 명시적으로 표시된 버전만 받습니다.